<?php
/**
 * 404
 */
get_header();

/**
 * Hero
 */
$realite_404_hero_style = $realite_404_overlay_style = [];

/**
 * Image
 */
if (get_theme_mod('404_hero_image')) {
	$realite_404_hero_style[] = 'background-image: url('. esc_url(wp_get_attachment_url(get_theme_mod('404_hero_image'))) .')';
}

/**
 * Overlay
 */
if (get_theme_mod('404_hero_overlay', '2') == '1') {
	if (get_theme_mod('404_hero_overlay_opacity')) {
		$realite_404_overlay_style[] = 'opacity: '. get_theme_mod('404_hero_overlay_opacity') .'';
	}

	if (get_theme_mod('404_hero_overlay_color')) {
		$realite_404_overlay_style[] = 'background-color: '. get_theme_mod('404_hero_overlay_color') .'';
	}
}

echo sprintf(
	'<div class="gs-page-404">
        <div class="gs-page-heading-outer d-flex">
            <div class="gs-page-heading-bg">
                <div class="gs-page-heading-bg-img" %s></div>
                %s
            </div>
            <div class="gs-page-heading-inner align-self-center gs-text-center">
                <div class="container">
                    <div class="gs-page-heading-title gsFadeIn wow"><h1>%s</h1></div>
                    <div class="gs-page-heading-description gsFadeIn wow"><p>%s</p></div>
                    <a href="%s" class="gs-btn gs-btn-regular gs-btn-accent gsFadeIn wow">%s</a>
                </div>
            </div>
        </div>
    </div>',
	$realite_404_hero_style ? 'style="'. implode(';', $realite_404_hero_style) .'"' : '',
	get_theme_mod('404_hero_overlay', '2') == '1' ? '<div class="gs-page-heading-bg-overlay" style="'. implode(';', $realite_404_overlay_style) .'"></div>' : '',
	get_theme_mod('404_title') ? get_theme_mod('404_title') : esc_html__('Oops!', 'realite'),
	get_theme_mod('404_description') ? get_theme_mod('404_description') : esc_html__('We can\'t seem to find the page you\'re looking for.', 'realite') . '<br />' . esc_html__('Error code: 404', 'realite'),
	get_theme_mod('404_button_url') ? get_theme_mod('404_button_url') : esc_url(home_url('/')),
	get_theme_mod('404_button_text') ? get_theme_mod('404_button_text') : esc_attr__('Go to Home', 'realite')
);

get_footer();