<?php
/**
 * The template file for displaying the comments and comment form for the
 * Realite theme.
 */

/*
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
*/
if ( post_password_required() ) {
	return;
}

$realite_comments_args = array(
	'style'        => 'div',
	'callback'     => 'realite_comments_open',
	'end-callback' => 'realite_comments_close',
);

$realite_comment_form =  array(
	'logged_in_as' => null,
	'comment_notes_before' => null,
	'title_reply_before' => '<h5 id="reply-title" class="gs-comments-title d-flex align-items-center">',
	'title_reply_after' => '</h5>',
	'title_reply' => esc_attr__('Leave a Reply', 'realite'),
	'submit_button' => '<div class="gs-comment-form-submit d-flex"><input name="%1$s" type="submit" id="%2$s" class="%3$s" value="%4$s" /></div>',
	'comment_field' => "<div class='textarea-holder row'><div class='col-12'><textarea placeholder=". esc_attr__('Comment', 'realite') ." type='text' name='comment' aria-required='true'/></textarea></div></div>",
	'fields' => apply_filters('comment_form_default_fields', array(
			'author' => "<div class='input-holder row'><div class='col-sm-4'><input placeholder=". esc_attr__('Name', 'realite') ." name='author' type='text' aria-required='true'/></div>",
			'email' => "<div class='col-sm-4'><input placeholder=". esc_attr__('Email', 'realite') ." name='email' type='text' aria-required='true'/></div>",
			'website' => "<div class='col-sm-4'><input placeholder=". esc_attr__('Website', 'realite') ." name='website' type='text'/></div></div>",
		)
	),
);

 if ( comments_open() || get_comments_number() ) :
	?>
	<div class="gs-post-comments-wrapper">
		<div class="container large-pb">
			<div class="gs-comments" id="comments">
                <?php if ( get_comments_number() ) : ?>
				<div class="gs-comments-list">
					<?php
					$comments_number = absint( get_comments_number() );
					?>

					<h5 class="gs-comments-title">
                        <?php
                            if ( ! have_comments() ) {
                                _e( 'Leave a comment', 'realite' );
                            } elseif ( 1 === $comments_number ) {
                                /* translators: %s: Post title. */
                                printf( _x( 'One reply on &ldquo;%s&rdquo;', 'comments title', 'realite' ), get_the_title() );
                            } else {
                                printf(
                                    /* translators: 1: Number of comments, 2: Post title. */
                                    _nx(
                                        '%1$s reply on &ldquo;%2$s&rdquo;',
                                        '%1$s replies on &ldquo;%2$s&rdquo;',
                                        $comments_number,
                                        'comments title',
                                        'realite'
                                    ),
                                    number_format_i18n( $comments_number ),
                                    get_the_title()
                                );
                            }
                        ?>
                    </h5>
					<div class="row">
						<?php wp_list_comments($realite_comments_args) ?>
					</div>
					<?php paginate_comments_links(); ?>
				</div>
                <?php endif; ?>
                <?php if (comments_open() || pings_open()) : ?>
					<div class="gs-comment-form">
						<?php comment_form($realite_comment_form); ?>
					</div>
				<?php elseif (!comments_open() && get_theme_mod('comments_closed', '1') !== '2') : ?>
					<div class="gs-comment-closed">
						<h5 class="gs-comment-closed-title"><?php echo esc_attr__('Comments are closed!', 'realite') ?></h5>
					</div>
				<?php endif; ?>
			</div>
		</div>
	</div>
<?php
endif;