<?php
/**
 * Left Image
 */
$realite_blog_meta_outside_class = ['gs-blog-post', 'gs-blog-post--left-image', 'd-flex', 'align-items-center'];

?>
<div class="<?php echo esc_attr( implode( ' ', $realite_blog_meta_outside_class ) ); ?>">

	<?php if ( has_post_thumbnail() ) : ?>
	    <?php if ($grada_posts_meta_thumbnail == 'yes') : ?>
            <div class="entry-thumbnail">
                <a href="<?php the_permalink() ?>" class="entry-thumbnail__link">
                    <div class="entry-image-ratio" style="<?php echo esc_attr(realite_thumbnail_calculation($grada_posts_thumbnail_resizer)) ?>">
                        <?php
                        /**
                         * Thumbnail Sizes
                         *
                         * It inherits the option via set query var.
                         */
                        if ($grada_posts_thumbnail_resizer) {
                            the_post_thumbnail($grada_posts_thumbnail_resizer);
                        } else {
                            the_post_thumbnail();
                        }
                        ?>
                    </div>
                </a>
            </div>
        <?php endif; ?>
	<?php endif; ?>

    <div class="entry-details">
        <div class="entry-details__inner">

	        <?php if ($grada_posts_meta_date == 'yes' || $grada_posts_meta_categories == 'yes' || $grada_posts_meta_tags == 'yes') : ?>
                <div class="entry-details-meta">
			        <?php
			        /**
			         * Date
			         */
			        $grada_posts_meta_date == 'yes' ? get_template_part('tpls/blog/extra/date') : '';

			        /**
			         * Categories
			         */
			        $grada_posts_meta_categories == 'yes' ? get_template_part('tpls/taxonomy/categories') : '';

			        /**
			         * Tags
			         */
			        $grada_posts_meta_tags == 'yes' ? get_template_part('tpls/taxonomy/tags') : '';
			        ?>
                </div>
	        <?php endif; ?>

	        <?php if ($grada_posts_meta_title == 'yes') : ?>
                <h3 class="entry-details-title">
                    <a href="<?php the_permalink() ?>"><?php the_title() ?></a>
                </h3>
	        <?php endif; ?>

            <?php
                /**
                 * Excerpt
                 */
                $grada_posts_meta_excerpt == 'yes' ? the_excerpt() : '';


                /**
                 * Author
                 */
                $grada_posts_meta_author == 'yes' ? get_template_part('tpls/blog/extra/author') : '';


                if (!get_the_title()) :
            ?>
                    <a class="d-inline-flex align-items-center gs-read-more" href="<?php the_permalink() ?>"><?php echo esc_attr__('Read More', 'realite') ?><svg xmlns="http://www.w3.org/2000/svg" width="18" height="18" viewBox="0 0 24 24" fill="none" stroke="currentColor" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"><polyline points="9 18 15 12 9 6"></polyline></svg></a>
            <?php endif; ?>
        </div>
    </div>

</div>
