<?php
/**
 * Classic Grid
 */
$realite_blog_meta_outside_class = ['gs-blog-post', 'gs-blog-post--meta-overlay'];

?>

<div class="<?php echo esc_attr( implode( ' ', $realite_blog_meta_outside_class ) ); ?>">

    <div class="entry-overlay-wrapper">
        <div class="entry-thumbnail">
            <a href="<?php the_permalink() ?>" class="entry-thumbnail__link">
                <?php if ($grada_posts_carousel_height == 'full') : ?>
                    <?php if (has_post_thumbnail()) : ?>
                        <div class="gs-full-height-img gs-bg-img-style" style="background-image: url(<?php the_post_thumbnail_url() ?>)"></div>
                    <?php else : ?>
                        <div class="gs-full-height-img gs-bg-img-style" style="background-image: url(<?php echo esc_url(REALITE_THEME_PLACEHOLDER) ?>)"></div>
                    <?php endif; ?>
                <?php elseif (has_post_thumbnail()) : ?>
                    <div class="entry-image-ratio" style="<?php echo esc_attr(realite_thumbnail_calculation($grada_posts_thumbnail_resizer)) ?>">
                        <?php
                        /**
                         * Thumbnail Sizes
                         *
                         * It inherits the option via set query var.
                         */
                        if ($grada_posts_thumbnail_resizer) {
                            the_post_thumbnail($grada_posts_thumbnail_resizer);
                        } else {
                            the_post_thumbnail();
                        }
                        ?>
                    </div>
                <?php else: ?>
                    <div class="entry-image-ratio" style="padding-bottom: 100%;">
                        <img src="<?php echo esc_url(REALITE_THEME_PLACEHOLDER) ?>" alt="<?php echo esc_attr__('Image Placeholder Image', 'realite'); ?>">
                    </div>
                <?php endif; ?>
            </a>
            <span class="entry-thumbnail__overlay"></span>
        </div>

        <div class="entry-details">
            <div class="entry-details__inner">

                <?php
                /**
                 * Author
                 */

                if ( $grada_posts_meta_author == 'yes' ) :
                ?>
                    <div class="entry-details__header">
                        <?php get_template_part('tpls/blog/extra/author') ?>
                    </div>
                <?php endif; ?>

	            <div class="entry-details__bottom">
		            <?php if ($grada_posts_meta_categories == 'yes' ) : ?>
                        <div class="entry-details-meta">
                            <?php
				            /**
				             * Categories
				             */
				            $grada_posts_meta_categories == 'yes' ? get_template_part('tpls/taxonomy/categories') : '';
				            ?>
                        </div>
		            <?php endif; ?>

		            <?php if ($grada_posts_meta_title == 'yes') : ?>
                        <h3 class="entry-details-title">
                            <a href="<?php the_permalink() ?>"><?php the_title() ?></a>
                        </h3>
		            <?php endif; ?>
                </div>

                <a href="<?php the_permalink() ?>"></a>
            </div>
        </div>
    </div>
</div>
