<?php
/**
 * Footer Copyright
 */
if (realite_inherit_option('footer_copyright_visibility', 'footer_copyright_visibility', '1') == '2' && !is_search()) {
	return;
}

$realite_footer_copyright = get_theme_mod('footer_copyright');
if (!$realite_footer_copyright && get_theme_mod('footer_copyright_automated', '1') == '1') {
	$realite_footer_copyright = sprintf(
		'%s %s %s. %s',
		'©',
		date('Y'),
		get_bloginfo('name'),
		esc_html__('All rights reserved.', 'realite')
	);
}

// Social Media
$realite_social_media_visibility = realite_inherit_option('footer_social_media_visibility', 'footer_social_media_visibility', '1');
$realite_social_media_enabled = get_theme_mod('footer_social_media_enabled', ['facebook', 'twitter', 'dribbble', 'pinterest', 'linkedin']);

if ($realite_social_media_visibility == '2' && empty($realite_footer_copyright)) {
	return;
}

// Alignment
if (realite_inherit_option('footer_copyright_alignment', 'footer_copyright_alignment', '1') == '1') {
	$realite_footer_row = 'row';
	$realite_copyright_class = 'subfooter-coypright-text';
	$realite_social_media_class = 'social-network-links subfooter-social-network gs-text-right';
} else {
	$realite_footer_row = 'row flex-row-reverse';
	$realite_copyright_class = 'subfooter-coypright-text gs-text-right';
	$realite_social_media_class = 'subfooter-social-network';
}
?>
<div class="subfooter-area">
	<div class="container">
		<div class="subfooter-area-inner">
			<div class="<?php echo esc_attr($realite_footer_row) ?> d-flex align-items-center">
				<div class="col-sm-6">
					<div class="<?php echo esc_attr($realite_copyright_class) ?>">
						<?php echo wpautop(wp_kses_post($realite_footer_copyright)) ?>
					</div>
				</div>
				<div class="col-sm-6">
					<div class="<?php echo esc_attr($realite_social_media_class) ?>">
						<?php realite_social_media($realite_social_media_visibility, $realite_social_media_enabled) ?>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>