<?php
/**
 * Footer Widgets
 */
$realite_footer_widgets_class = ['footer-widgetized-area'];
$realite_active_sidebars = is_active_sidebar('sidebar-footer-1') || is_active_sidebar('sidebar-footer-2') || is_active_sidebar('sidebar-footer-3') || is_active_sidebar('sidebar-footer-4') || is_active_sidebar('sidebar-footer-5') || is_active_sidebar('sidebar-footer-6');

if (realite_inherit_option('footer_widgets', 'footer_widgets', '1') == '2' || $realite_active_sidebars == false) {
	return;
}

/**
 * Columns
 */
$realite_widgets_columns = realite_inherit_option('footer_widgets_columns', 'footer_widgets_columns', '4');

switch ($realite_widgets_columns) {
	case '1':
		$realite_item_class = 'col-sm-12';
		break;
	case '2':
		$realite_item_class = 'col-sm-6';
		break;
	case '3':
		$realite_item_class = 'col-sm-6 col-md-4';
		break;
	default:
		$realite_item_class = 'col-sm-6 col-md-3';
		break;
	case '5':
		$realite_item_class = 'col-sm-6 col-md-4 gs-col-5';
		break;
	case '6':
		$realite_item_class = 'col-sm-6 col-md-4 col-lg-2';
		break;
}
/**
 * Mobile Visibility
 */
if (realite_inherit_option('footer_mobile_visibility', 'footer_mobile_visibility', '1') == '2') {
	$realite_footer_widgets_class[] = 'd-none d-sm-none d-md-block';
}
?>
<div class="<?php echo esc_attr(implode(' ', $realite_footer_widgets_class)) ?>">
	<div class="container">
		<div class="footer-widgets-inner">
			<div class="row">
				<?php for ($i = 1; $i <= $realite_widgets_columns; $i++) { ?>
					<div class="<?php echo esc_attr($realite_item_class) ?>">
						<?php is_active_sidebar('sidebar-footer-' . $i) ? dynamic_sidebar('sidebar-footer-' . $i) : ''; ?>
					</div>
				<?php } ?>
			</div>
		</div>
	</div>
</div>