<?php
/**
 * Portfolio Item Gallery
 */

/**
 * Columns
 *
 * Change gallery items columns
 * via customizer or individually.
 */
switch (realite_inherit_option('portfolio_item_gallery_columns', 'portfolio_item_gallery_columns', '1')) {
	default:
		$realite_gallery_item_column = 'col-12';
		break;
	case '2':
		$realite_gallery_item_column = 'col-sm-6';
		break;
	case '3':
		$realite_gallery_item_column = 'col-sm-6 col-md-4';
		break;
	case '4':
		$realite_gallery_item_column = 'col-sm-6 col-md-3';
		break;
}

/**
 * Animation & WOW Delay
 */
$realite_portfolio_item_gallery_animation = realite_inherit_option('portfolio_item_gallery_animation', 'portfolio_item_gallery_animation', '2');
$realite_portfolio_item_holder_class = 'gs-portfolo-media-item';

if ($realite_portfolio_item_gallery_animation == '2' || $realite_portfolio_item_gallery_animation == '4') {
	$realite_portfolio_item_holder_class .= ' gsFadeIn wow';
} elseif ($realite_portfolio_item_gallery_animation == '3' || $realite_portfolio_item_gallery_animation == '5') {
	$realite_portfolio_item_holder_class .= ' gsFadeInUp wow';
}

$realite_data_wow_delay = false;
$realite_data_wow_seconds = 0;

if ($realite_portfolio_item_gallery_animation == '4' || $realite_portfolio_item_gallery_animation == '5') {
	$realite_data_wow_delay = true;
}

if (have_rows('portfolio_item_gallery')) :
	?>
	<div class="gs-portfolio-media">
		<div class="row isotope-container">
			<?php while (have_rows('portfolio_item_gallery')) : the_row(); ?>
				<?php
				/**
				 * WOW Animation
				 */
				$realite_data_wow_seconds == 12 ? $realite_data_wow_seconds = 0 : '';
				$realite_wow_holder = "data-wow-delay=". $realite_data_wow_seconds/10 ."s";
				?>
				<div class="iso-item <?php echo esc_attr($realite_gallery_item_column) ?>">
					<div class="gs-popup <?php echo esc_attr($realite_portfolio_item_holder_class) ?>" <?php echo esc_attr($realite_data_wow_delay === true && $realite_data_wow_seconds ? $realite_wow_holder : '') ?>>
						<?php if (get_row_layout() == 'portfolio_item_gallery_image') : ?>
							<a class="entry-image-ratio gs-popup-link" data-mfp-src="<?php echo esc_url(get_sub_field('portfolio_item_gallery_image_obj')['url']) ?>" style="<?php echo esc_attr(realite_image_calculation(get_sub_field('portfolio_item_gallery_image_obj')['id'])) ?>">
								<img src="<?php echo esc_url(get_sub_field('portfolio_item_gallery_image_obj')['url']) ?>" alt="<?php echo esc_url(get_sub_field('portfolio_item_gallery_image_obj')['url']) ?>">
							</a>
						<?php endif; ?>
					</div>
				</div>
				<?php $realite_data_wow_seconds = $realite_data_wow_seconds + 2; endwhile; ?>
		</div>
	</div>
<?php
endif;