<?php
/**
 * The Template for displaying all single products
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/single-product.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     1.6.4
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

get_header(); 

get_template_part('tpls/hero/standard');

/**
 * Sidebar
 */
$realite_sidebar_option = realite_inherit_option('product_sidebar', 'product_sidebar', '3');
$realite_row_class = 'row';
$realite_product_class = 'col-lg-8';
$realite_sidebar_class = 'col-lg-4';

if ($realite_sidebar_option == '1') {
    $realite_row_class .= ' flex-row-reverse';
} elseif ($realite_sidebar_option == '3') {
	$realite_product_class = 'col-12';
	$realite_sidebar_class = 'gs-d-none';
}

/**
 * Breadcrumb
 */
$realite_page_breadcrumb = realite_inherit_option('general_breadcrumb', 'breadcrumbs_product_visibility', '2');
realite_breadcrumbs($realite_page_breadcrumb, get_theme_mod('breadcrumbs_separator'));

do_action('realite_open_container');
?>
<div class="gs-woo-page large-pt large-pb">
	<div class="<?php echo esc_attr($realite_row_class) ?>">
		<div class="<?php echo esc_attr($realite_product_class) ?>">
			<?php 
			while (have_posts()) {
				the_post();
				wc_get_template_part('content', 'single-product');
			}
			?>
		</div>
		<?php if ($realite_sidebar_option != '3') : ?>
			<div class="<?php echo esc_attr($realite_sidebar_class) ?>">
				<div class="sidebar-container">
					<?php get_sidebar('shop') ?>
				</div>
			</div>
		<?php endif; ?>
	</div>
</div>
<?php 
do_action('realite_close_container');

get_template_part('tpls/shop/product/navigation');

get_footer();
