<?php
/**
 * Posts > Content Options > Filters
 */

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

$this->add_control(
	'posts_filters_visibility',
	[
		'label' => esc_html__('Filters', 'realite-plugin'),
		'description' => esc_html__('Show the categories as filters. Make sure to add the categories in the query field.'),
		'type' => \Elementor\Controls_Manager::SWITCHER,
		'label_on' => esc_html__('Show', 'realite-plugin'),
		'label_off' => esc_html__('Hide', 'realite-plugin'),
		'return_value' => 'yes',
		'default' => 'no',
	]
);

$this->add_control(
	'posts_filters_query_post',
	[
		'label' => esc_html__('Filters Query', 'realite-plugin'),
		'description' => __('Select the categories you want to display as filters. <br /> <small>Note: This option does not affect the query, is created only to display filters on metro layout type.</small>', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::SELECT2,
		'label_block' => true,
		'options' => $this->grada_return_taxonomies('category'),
		'multiple' => true,
		'conditions' => [
			'terms' => [
				[
					'name' => 'posts_layout_type',
					'operator' => '==',
					'value' => 'metro',
				],
				[
					'name' => 'posts_filters_visibility',
					'operator' => '==',
					'value' => 'yes'
				]
			],
		]
	]
);

$this->add_control(
	'posts_filters_filter_all',
	[
		'label' => esc_html__('Show All Filter', 'realite-plugin'),
		'description' => esc_html__('Show a filter which is able to filter all posts.'),
		'type' => \Elementor\Controls_Manager::SWITCHER,
		'label_on' => esc_html__('Show', 'realite-plugin'),
		'label_off' => esc_html__('Hide', 'realite-plugin'),
		'return_value' => 'yes',
		'default' => 'yes',
		'condition' => [
			'posts_filters_visibility' => 'yes'
		]
	]
);

$this->add_control(
	'posts_filters_filter_all_string',
	[
		'label'   => esc_html__('String', 'realite-plugin'),
		'description' => esc_html__('Override the filter \'All\'.', 'realite-plugin'),
		'type'    => Controls_Manager::TEXT,
		'default' => esc_html__('All', 'realite-plugin'),
		'conditions' => [
			'relation' => 'and',
			'terms' => [
				[
					'name' => 'posts_filters_visibility',
					'operator' => '==',
					'value' => 'yes',
				],
				[
					'name' => 'posts_filters_filter_all',
					'operator' => '==',
					'value' => 'yes'
				],
			],
		]
	]
);