<?php
/**
 * Posts > Content Options > Functionality
 */

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

$this->add_control(
	'posts_layout',
	[
		'label' => esc_html__('Layout', 'realite-plugin'),
		'description' => esc_html__('Select the layout of posts.', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::SELECT,
		'options' => [
			'isotope' => esc_html__('Isotope', 'realite-plugin'),
			'carousel' => esc_html__('Carousel', 'realite-plugin')
		],
		'default' => 'isotope'
	]
);

$this->add_control(
	'posts_layout_type',
	[
		'label' => esc_html__('Layout Type', 'realite-plugin'),
		'description' => esc_html__('Select the layout type of isotope.', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::SELECT,
		'options' => [
			'masonry' => esc_html__('Masonry', 'realite-plugin'),
			'metro' => esc_html__('Metro', 'realite-plugin'),
			'fitrows' => esc_html__('FitRows', 'realite-plugin'),
			'justified' => esc_html__('Justified', 'realite-plugin')
		],
		'default' => 'masonry',
		'condition' => [
			'posts_layout' => 'isotope'
		]
	]
);

$this->add_control(
	'posts_layout_model',
	[
		'label' => esc_html__('Layout Model', 'realite-plugin'),
		'description' => esc_html__('Select the layout model.', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::SELECT,
		'options' => [
			'left-image' => esc_html__('Featured Image left', 'realite-plugin'),
			'classic-grid' => esc_html__('Grid Classic', 'realite-plugin'),
			'meta-overlay' => esc_html__('Meta Overlay', 'realite-plugin'),
		],
		'default' => 'left-image',
		'condition' => [
			'posts_layout_type!' => 'justified'
		]
	]
);

$this->add_control(
	'posts_hover_effect',
	[
		'label' => esc_html__('Image Hover Style', 'realite-plugin'),
		'description' => esc_html__('Select the layout model.', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::SELECT,
		'options' => [
			'none' => esc_html__('None', 'realite-plugin'),
			'grayscale' => esc_html__('Grayscale', 'realite-plugin'),
			'image-clip' => esc_html__('Clip Effect', 'realite-plugin'),
			'scale' => esc_html__('Scale', 'realite-plugin'),
		],
		'default' => 'none',
		'condition' => [
			'posts_layout_type!' => 'justified'
		]
	]
);