<?php
/**
 * Gallery Images > Content Options > Filters
 */

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

$this->add_control(
	'gallery_images_filters_filter_all',
	[
		'label' => esc_html__('Show All Filter', 'realite-plugin'),
		'description' => esc_html__('Show a filter which is able to filter all posts.'),
		'type' => \Elementor\Controls_Manager::SWITCHER,
		'label_on' => esc_html__('Show', 'realite-plugin'),
		'label_off' => esc_html__('Hide', 'realite-plugin'),
		'return_value' => 'yes',
		'default' => 'yes'
	]
);

$this->add_control(
	'gallery_images_filters_filter_all_string',
	[
		'label'   => esc_html__('String', 'realite-plugin'),
		'description' => esc_html__('Override the filter \'All\'.', 'realite-plugin'),
		'type'    => Controls_Manager::TEXT,
		'default' => esc_html__('All', 'realite-plugin'),
		'conditions' => [
			'relation' => 'and',
			'terms' => [
				[
					'name' => 'gallery_images_filters_filter_all',
					'operator' => '==',
					'value' => 'yes'
				],
			],
		]
	]
);