<?php
/**
 * Gallery Images > Content Options > Justified
 */

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

$this->add_control(
	'gallery_images_justified_height',
	[
		'label' => esc_html__('Height', 'realite-plugin'),
		'description' => esc_html__('The preferred rows height in pixel.', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::NUMBER,
		'default' => 200,
		'min'     => 1,
		'max'     => 1000,
		'step'    => 10,
		'frontend_available' => true
	]
);

$this->add_control(
	'gallery_images_justified_margins',
	[
		'label' => esc_html__('Margins', 'realite-plugin'),
		'description' => esc_html__('Decide the margins between the images.', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::NUMBER,
		'default' => 1,
		'min'     => 1,
		'max'     => 500,
		'step'    => 1,
		'frontend_available' => true
	]
);

$this->add_control(
	'gallery_images_justified_last_row',
	[
		'label' => esc_html__('Visibility', 'realite-plugin'),
		'description' => esc_html__('Decide the justify for the last row.', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::SELECT,
		'options' => [
			'justify' => esc_html__('Justify', 'realite-plugin'),
			'nojustify' => esc_html__('No Justify', 'realite-plugin'),
			'hide' => esc_html__('Hide', 'realite-plugin'),
		],
		'default' => 'justify',
		'frontend_available' => true
	]
);