<?php
/**
 * Posts Filters
 */
if (!$settings['portfolio_filters_visibility'] || $settings['portfolio_filters_visibility'] == 'no' || $settings['portfolio_layout'] == 'carousel') {
	return;
}
$portfolio_filters_class = ['gs-filters'];

/**
 * Query Filters
 */
if ($settings['portfolio_layout_type'] == 'metro') {
	$grada_portfolio_normal_query = $settings['portfolio_filters_query_post'];
}

/**
 * All Filter
 */
if ($settings['portfolio_filters_filter_all_string']) {
	$grada_portfolio_filter_all = $settings['portfolio_filters_filter_all_string'];
} else {
	$grada_portfolio_filter_all = esc_html__('All', 'realite-plugin');
}

/**
 * Filters Alignment
 */
if ($settings['portfolio_style_filters_alignment'] == 'center') {
	$portfolio_filters_class[] = 'gs-text-center';
} elseif ($settings['portfolio_style_filters_alignment'] == 'right') {
	$portfolio_filters_class[] = 'gs-text-right';
}
?>
<div class="<?php echo esc_attr(implode(' ', $portfolio_filters_class)) ?>">
	<ul id="filters">
		<?php if ($settings['portfolio_filters_filter_all']) : ?>
			<li class="active" data-filter="*"><a><?php echo esc_attr($grada_portfolio_filter_all) ?></a></li>
		<?php endif; ?>
		<?php
		if ($grada_portfolio_normal_query) {
			foreach ($grada_portfolio_normal_query as $term) {
				$term_info = get_term_by('slug', $term, $grada_portfolio_taxonomy);
				echo '<li data-filter=".'. esc_attr($term_info->slug) .'"><a>'. esc_attr($term_info->name) .'</a></li>';
			}
		} else {
			foreach (get_terms($grada_portfolio_taxonomy) as $term) {
				echo '<li data-filter=".'. esc_attr($term->slug) .'"><a>'. esc_attr($term->name) .'</a></li>';
			}
		}
		?>
	</ul>
</div>