<?php
/**
 * Posts > Content Options > Pagination
 */

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

$this->add_control(
	'products_pagination_visibility',
	[
		'label' => esc_html__('Pagination Visibility', 'realite-plugin'),
		'description' => esc_html__('Select the visibility of pagination.', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::SWITCHER,
		'label_on' => esc_html__('Show', 'realite-plugin'),
		'label_off' => esc_html__('Hide', 'realite-plugin'),
		'return_value' => 'yes',
		'default' => 'yes',
	]
);

$this->add_control(
	'products_pagination_style',
	[
		'label' => esc_html__('Pagination Style', 'realite-plugin'),
		'description' => esc_html__('Select the pagination style, normal is with numbers and arrows and Show More is with button. ', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::SELECT,
		'options' => [
			'normal' => esc_html__('Normal (Links)', 'realite-plugin'),
			'show-more' => esc_html__('Show More (Ajax)', 'realite-plugin'),
		],
		'default' => 'normal',
		'condition' => [
			'products_pagination_visibility' => 'yes',
		]
	]
);