<?php
/**
 * Posts > Content Options > Thumbnail
 */

use Elementor\Widget_Base;
use Elementor\Controls_Manager;

$this->add_control(
	'products_thumbnail_resizer',
	[
		'label' => esc_html__('Thumbnail Resizer', 'realite-plugin'),
		'description' => esc_html__('Activate a thumbnail resizer, it will crop all the images to a given width & height.', 'realite-plugin'),
		'type' => \Elementor\Controls_Manager::SWITCHER,
		'label_on' => esc_html__('On', 'realite-plugin'),
		'label_off' => esc_html__('Off', 'realite-plugin'),
		'return_value' => 'yes',
		'default' => 'no',
	]
);

$this->add_group_control(
	\Elementor\Group_Control_Image_Size::get_type(),
	[
		'name' => 'products_thumbnail_sizes',
		'label' => esc_html__('Thumbnail Sizes', 'realite-plugin'),
		'description' => esc_html__('Select the thumbnail size.', 'realite-plugin'),
		'default' => 'large',
		'condition' => [
			'products_thumbnail_resizer' => 'yes'
		]
	]
);