<?php 
/**
 * Blog Options
 */

// Create Panel and Sections
Kirki::add_panel('blog_options', array(
    'title'       => esc_attr__('Blog', 'realite-plugin'),
    'priority'    => 5
));
Kirki::add_section('blog_functionality_options', array(
    'title'          => esc_attr__('Functionality', 'realite-plugin'),
	'priority'       => 1,
	'panel'			=> 'blog_options'
));
Kirki::add_section('blog_style_options', array(
    'title'          => esc_attr__('Style', 'realite-plugin'),
	'priority'       => 2,
	'panel'			=> 'blog_options'
));
Kirki::add_section('blog_thumbnail_options', array(
    'title'       => esc_attr__('Thumbnail', 'realite-plugin'),
    'panel'		  => 'blog_options',
    'priority'    => 3
));
Kirki::add_section('blog_post_options', array(
    'title'          => esc_attr__('Post', 'realite-plugin'),
	'priority'       => 4,
	'panel'			=> 'blog_options'
));
Kirki::add_section('blog_static_options', array(
    'title'          => esc_attr__('Static', 'realite-plugin'),
    'description'    => esc_attr__('The options in this section will be displayed only in the blog static page.', 'realite-plugin'),
	'priority'       => 5,
	'panel'			=> 'blog_options'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_type',
    'label'       => esc_html__('Type', 'realite-plugin'),
    'description' => __('Select the type of Blog.', 'realite-plugin'),
	'section'     => 'blog_functionality_options',
	'default'     => '2',
    'choices'     => array(
	    'left-image' => esc_html__('Featured Image left', 'realite-plugin'),
	    'classic-grid' => esc_html__('Grid Classic', 'realite-plugin'),
	    'meta-overlay' => esc_html__('Meta Overlay', 'realite-plugin')
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_sidebar',
    'label'       => esc_html__('Sidebar', 'realite-plugin'),
    'description' => __('Select the placement of sidebar or hide it, default is right.', 'realite-plugin'),
	'section'     => 'blog_functionality_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('Left', 'realite-plugin'),
        '2' => esc_attr__('Right', 'realite-plugin'),
        '3' => esc_attr__('Hide', 'realite-plugin')
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_pagination_visibility',
    'label'       => esc_html__('Pagination Visibility', 'realite-plugin'),
    'description' => __('Select the pagination visibility. <br /><small>The pagination will not be displayed if there are less posts than posts per page number, even if the option is show.</small>', 'realite-plugin'),
	'section'     => 'blog_functionality_options',
	'default'     => '1',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
));
/**
 * Blog Style
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_columns',
    'label'       => esc_html__('Columns', 'realite-plugin'),
    'description' => __('Select the columns of Blog, default is two columns.', 'realite-plugin'),
	'section'     => 'blog_style_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('1 Column', 'realite-plugin'),
        '2' => esc_attr__('2 Columns', 'realite-plugin'),
        '3' => esc_attr__('3 Columns', 'realite-plugin'),
        '4' => esc_attr__('4 Columns', 'realite-plugin')
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_animation',
    'label'       => esc_html__('Animation', 'realite-plugin'),
    'description' => __('Select initial loading animation for posts.', 'realite-plugin'),
	'section'     => 'blog_style_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('None', 'realite-plugin'),
        '2' => esc_attr__('Fade In', 'realite-plugin'),
        '3' => esc_attr__('Fade In Up', 'realite-plugin'),
        '4' => esc_attr__('Fade In (with delay)', 'realite-plugin'),
        '5' => esc_attr__('Fade In Up (with delay)', 'realite-plugin'),
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_spacing',
    'label'       => esc_html__('Spacing', 'realite-plugin'),
    'description' => __('Add custom spacing between posts.', 'realite-plugin'),
	'section'     => 'blog_style_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('On', 'realite-plugin'),
        '2' => esc_attr__('Off', 'realite-plugin')
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'slider',
	'settings'    => 'blog_spacing_value',
	'label'       => __('Spacing Value', 'realite-plugin'),
	'description' => __('Move the slider to set the value of spacing. <br /> <small>Note: The value is represented in pixels.</small>', 'realite-plugin'),
    'section'     => 'blog_style_options',
    'default'     => 30,
	'choices'     => array(
		'min'  => '0',
		'max'  => '100',
		'step' => '1',
    ),
    'active_callback' => array(
        array(
            'setting'  => 'blog_spacing',
            'operator' => '==',
            'value'    => '1'
        ),
    )
));

// Hover
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'blog_hover_title',
	'section'     => 'blog_style_options',
	'default'     => '<h1>' . esc_html__('Hover', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_hover_visibility',
    'label'       => esc_html__('Visibility', 'realite-plugin'),
    'description' => esc_html__('Select the visibility of the hover.', 'realite-plugin'),
	'section'     => 'blog_style_options',
	'default'     => 'none',
    'choices'     => array(
	    'none' => esc_html__('None', 'realite-plugin'),
	    'grayscale' => esc_html__('Grayscale', 'realite-plugin'),
	    'image-clip' => esc_html__('Clip Effect', 'realite-plugin'),
	    'scale' => esc_html__('Scale', 'realite-plugin'),
    )
));

// Meta
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'blog_meta_title',
	'section'     => 'blog_style_options',
	'default'     => '<h1>' . esc_html__('Meta', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_date_visibility',
    'label'       => esc_html__('Date', 'realite-plugin'),
    'description' => __('Select the visibility of the date.', 'realite-plugin'),
	'section'     => 'blog_style_options',
	'default'     => 'yes',
    'choices'     => array(
        'yes' => esc_attr__('Show', 'realite-plugin'),
        'no' => esc_attr__('Hide', 'realite-plugin')
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_categories_visibility',
    'label'       => esc_html__('Categories', 'realite-plugin'),
    'description' => __('Select the visibility of the categories.', 'realite-plugin'),
	'section'     => 'blog_style_options',
	'default'     => 'yes',
    'choices'     => array(
        'yes' => esc_attr__('Show', 'realite-plugin'),
        'no' => esc_attr__('Hide', 'realite-plugin')
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_tags_visibility',
    'label'       => esc_html__('Tags', 'realite-plugin'),
    'description' => __('Select the visibility of the tags.', 'realite-plugin'),
	'section'     => 'blog_style_options',
	'default'     => 'no',
    'choices'     => array(
        'yes' => esc_attr__('Show', 'realite-plugin'),
        'no' => esc_attr__('Hide', 'realite-plugin')
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_excerpt_visibility',
    'label'       => esc_html__('Excerpt', 'realite-plugin'),
    'description' => __('Select the visibility of the excerpt.', 'realite-plugin'),
	'section'     => 'blog_style_options',
	'default'     => 'yes',
    'choices'     => array(
        'yes' => esc_attr__('Show', 'realite-plugin'),
        'no' => esc_attr__('Hide', 'realite-plugin')
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_author_visibility',
    'label'       => esc_html__('Author', 'realite-plugin'),
    'description' => __('Select the visibility of the author.', 'realite-plugin'),
	'section'     => 'blog_style_options',
	'default'     => 'yes',
    'choices'     => array(
        'yes' => esc_attr__('Show', 'realite-plugin'),
        'no' => esc_attr__('Hide', 'realite-plugin')
    )
));

/**
 * Thumbnail Resizer
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_thumbnail_visibility',
    'label'       => esc_html__('Visibility', 'realite-plugin'),
    'description' => __('Select the visibility of the thumbnail on blog pages.', 'realite-plugin'),
	'section'     => 'blog_thumbnail_options',
	'default'     => 'yes',
    'choices'     => array(
        'yes' => esc_attr__('Show', 'realite-plugin'),
        'no' => esc_attr__('Hide', 'realite-plugin')
    ),
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_thumbnail_resizer',
    'label'       => esc_html__('Resizer', 'realite-plugin'),
    'description' => __('Activate a thumbnail resizer, it will crop all the images to a given width & height. <br /><small>Note: Do not forget to regenerate thumbnails.</small>', 'realite-plugin'),
	'section'     => 'blog_thumbnail_options',
	'default'     => 'no',
    'choices'     => array(
        'yes' => esc_attr__('On', 'realite-plugin'),
        'no' => esc_attr__('Off', 'realite-plugin')
    ),
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_thumbnail_sizes',
    'label'       => esc_html__('Image Sizes', 'realite-plugin'),
    'description' => __('Select the image size, you can add new thumbnail sizes in the general options.', 'realite-plugin'),
	'section'     => 'blog_thumbnail_options',
	'default'     => 'full',
    'choices'     => grada_thumbnail_sizes(),
    'active_callback' => array(
        array(
            'setting'  => 'blog_thumbnail_resizer',
            'operator' => '==',
            'value'    => 'yes'
        ),
    )
));

/**
 * Post
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_thumbnail',
    'label'       => esc_html__('Thumbnail', 'realite-plugin'),
    'description' => __('Select the visibility of the thumbnail on post.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '1',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_share',
    'label'       => esc_html__('Share', 'realite-plugin'),
    'description' => __('Select the visibility of share icons. <br /><small>Note: Make sure to install and activate the GradaStudio Share plugin.</small>', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_sidebar',
    'label'       => esc_html__('Sidebar', 'realite-plugin'),
    'description' => __('Select the placement of sidebar or hide it, default is right.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('Left', 'realite-plugin'),
        '2' => esc_attr__('Right', 'realite-plugin'),
        '3' => esc_attr__('Hide', 'realite-plugin')
    ),
));

// Navigation
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'blog_post_navigation_title',
	'section'     => 'blog_post_options',
	'default'     => '<h1>' . esc_html__('Navigation', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_navigation_visibility',
    'label'       => esc_html__('Navigation Visibility', 'realite-plugin'),
    'description' => __('Show or hide the navigation on blog post.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '1',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_navigation_category',
    'label'       => esc_html__('Navigation Category', 'realite-plugin'),
    'description' => __('Enable if you want the posts to be navigated only in the same category.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('Enable', 'realite-plugin'),
        '2' => esc_attr__('Disable', 'realite-plugin')
    ),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_navigation_category',
    'label'       => esc_html__('Category', 'realite-plugin'),
    'description' => __('Enable if you want the posts to be navigated only in the same category.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('Enable', 'realite-plugin'),
        '2' => esc_attr__('Disable', 'realite-plugin')
    ),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_navigation_back_url',
    'label'       => esc_html__('Back URL', 'realite-plugin'),
    'description' => __('Add an url which will be displayed on the center and will send you to blog.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '1',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'blog_post_navigation_back_url_link',
    'label'       => esc_html__('Link', 'realite-plugin'),
    'description' => __('Change the link of the text, by default it will send you to the blog page.', 'realite-plugin'),
    'section'     => 'blog_post_options',
    'active_callback' => array(
        array(
            'setting'  => 'blog_post_navigation_back_url',
            'operator' => '==',
            'value'    => '1'
        ),
    )
));

// Author
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'blog_post_author_title',
	'section'     => 'blog_post_options',
	'default'     => '<h1>' . esc_html__('Author', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_author',
    'label'       => esc_html__('Visibility', 'realite-plugin'),
    'description' => __('Show or hide the author in post single.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_author_avatar',
    'label'       => esc_html__('Avatar', 'realite-plugin'),
    'description' => __('Show or hide the author avatar.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '1',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
    'active_callback' => array(
        array(
            'setting'  => 'blog_post_author',
            'operator' => '==',
            'value'    => '1'
        ),
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_author_name',
    'label'       => esc_html__('Name', 'realite-plugin'),
    'description' => __('Show or hide the author name.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '1',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
    'active_callback' => array(
        array(
            'setting'  => 'blog_post_author',
            'operator' => '==',
            'value'    => '1'
        ),
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_author_description',
    'label'       => esc_html__('Description', 'realite-plugin'),
    'description' => __('Show or hide the author description.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '1',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
    'active_callback' => array(
        array(
            'setting'  => 'blog_post_author',
            'operator' => '==',
            'value'    => '1'
        ),
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_author_archive_button',
    'label'       => esc_html__('Archive Button', 'realite-plugin'),
    'description' => __('Show or hide the author archive button.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '1',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
    'active_callback' => array(
        array(
            'setting'  => 'blog_post_author',
            'operator' => '==',
            'value'    => '1'
        ),
    )
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'blog_post_author_archive_text',
    'label'       => esc_html__('Archive Text', 'realite-plugin'),
    'description' => __('Show or hide the author archive button.', 'realite-plugin'),
    'default'     => __('All Author Posts', 'realite-plugin'),
	'section'     => 'blog_post_options',
    'active_callback' => array(
        array(
            'setting'  => 'blog_post_author',
            'operator' => '==',
            'value'    => '1'
        ),
        array(
            'setting'  => 'blog_post_author_archive_button',
            'operator' => '==',
            'value'    => '1'
        ),
    )
));

// Related
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'blog_post_related_title',
	'section'     => 'blog_post_options',
	'default'     => '<h1>' . esc_html__('Related', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_related',
    'label'       => esc_html__('Related', 'realite-plugin'),
    'description' => __('Show or hide related posts in single. <br /> <small>Note: Do not forget to select the template below.</small>', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '2',
    'choices'     => array(
        '1' => esc_attr__('Show', 'realite-plugin'),
        '2' => esc_attr__('Hide', 'realite-plugin')
    ),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'blog_post_related_template',
    'label'       => esc_html__('Template', 'realite-plugin'),
    'description' => __('Make sure to create the template with posts element onto it.', 'realite-plugin'),
	'section'     => 'blog_post_options',
	'default'     => '1',
    'choices'     => grada_get_elementor_template('section'),
    'active_callback' => array(
        array(
            'setting'  => 'blog_post_related',
            'operator' => '==',
            'value'    => '1'
        ),
    )
));

/**
 * Static Blog Page
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'blog_title',
    'label'       => esc_html__('Title', 'realite-plugin'),
    'description' => __('Enter the text that will appear as blog title.', 'realite-plugin'),
    'section'     => 'blog_static_options'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'textarea',
	'settings'    => 'blog_content',
    'label'       => esc_html__('Content', 'realite-plugin'),
    'description' => __('Enter the text that will appear as blog content.', 'realite-plugin'),
    'section'     => 'blog_static_options'
));
