<?php
/**
 * Header Options
 */

// Create Panel and Sections
Kirki::add_panel('header_options', array(
	'title'       => esc_html__('Header', 'realite-plugin'),
	'priority'    => 2
));

Kirki::add_section('header_layout_section', array(
	'title'          => esc_html__('Layout', 'realite-plugin'),
	'priority'       => 1,
	'panel'			 => 'header_options'
));

Kirki::add_section('header_logo_section', array(
	'title'          => esc_html__('Logo', 'realite-plugin'),
	'priority'       => 2,
	'panel'			 => 'header_options'
));

Kirki::add_section('header_search_section', array(
	'title'          => esc_html__('Search', 'realite-plugin'),
	'priority'       => 3,
	'panel'			 => 'header_options'
));

Kirki::add_section('top_header_section', array(
	'title'          => esc_html__('Top Header', 'realite-plugin'),
	'priority'       => 4,
	'panel'			 => 'header_options'
));

if (class_exists('WooCommerce')) {
	Kirki::add_section('shopping_cart_section', array(
		'title'          => esc_html__('Shopping Cart', 'realite-plugin'),
		'priority'       => 5,
		'panel'			 => 'header_options'
	));
}

// Layout Settings
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_visibility',
	'label'       => esc_html__('Visibility', 'realite-plugin'),
	'description' => __('Show or hide the classic header in your website, default is show. <br /><small>Note: You\'ll still be able to place header templates.</small>', 'realite-plugin'),
	'section'     => 'header_layout_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_type',
	'label'       => esc_html__('Type', 'realite-plugin'),
	'description' => __('Select the header type. <br /> <small>Note: Make sure to create templates with Elementor as header type.</small>', 'realite-plugin'),
	'section'     => 'header_layout_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Default', 'realite-plugin'),
		'2' => esc_html__('Template', 'realite-plugin')
	),
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_template',
	'label'       => esc_html__('Template', 'realite-plugin'),
	'description' => esc_html__('Select the header template.', 'realite-plugin'),
	'section'     => 'header_layout_section',
	'choices'     => grada_get_elementor_template('header'),
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '==',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_skin',
	'label'       => esc_html__('Skin', 'realite-plugin'),
	'description' => __('Select the header skin, the default is dark. <br /> <small>Note: Light skin means white logo text and white menu.</small>', 'realite-plugin'),
	'section'     => 'header_layout_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Dark', 'realite-plugin'),
		'2' => esc_html__('Light', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_position',
	'label'       => esc_html__('Position', 'realite-plugin
	'),
	'description' => __('Select the header position, the default is static. <br /> <small>Note: Absolute header will push the content to the top of page.</small>', 'realite-plugin
	'),
	'section'     => 'header_layout_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Static', 'realite-plugin
		'),
		'2' => esc_html__('Absolute', 'realite-plugin
		')
	),
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_transparency',
	'label'       => esc_html__('Transparency', 'realite-plugin'),
	'description' => __('Select the header transparency. <br /> <small>Note: Sticky will stay fixed in scroll.</small>', 'realite-plugin'),
	'section'     => 'header_layout_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Normal', 'realite-plugin'),
		'2' => esc_html__('Sticky', 'realite-plugin')
	),
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_sticky_template',
	'label'       => esc_html__('Sticky Template', 'realite-plugin'),
	'description' => esc_html__('Select the header template that will be used as sticky.', 'realite-plugin'),
	'section'     => 'header_layout_section',
	'choices'     => grada_get_elementor_template('header'),
	'active_callback' => array(
		array(
			'setting'  => 'header_transparency',
			'operator' => '==',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_type',
			'operator' => '==',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_autohide',
	'label'       => esc_html__('Autohide', 'realite-plugin'),
	'description' => __('Switch on if you want to activate the autohide header. The header will be hidden when scrolling down, it will appear only when user scrolls up. <br /> <small>Note: This option is valid only when Sticky is selected as transparency.</small>', 'realite-plugin'),
	'section'     => 'header_layout_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('On', 'realite-plugin'),
		'2' => esc_html__('Off', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'header_transparency',
			'operator' => '==',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_container',
	'label'       => esc_html__('Container', 'realite-plugin'),
	'description' => __('Select if you want to use container holder for the header. <br /> <small>Note: By selecting off, the header will push into left and right.</small>', 'realite-plugin'),
	'section'     => 'header_layout_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('On', 'realite-plugin'),
		'2' => esc_html__('Off', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

// Logo Settings
Kirki::add_field('grada_kirki', array(
	'type'        => 'image',
	'settings'    => 'header_dark_logo',
	'label'       => esc_html__('Dark', 'realite-plugin'),
	'description' => esc_html__('Upload your dark logo, will be used as dark logo in dark skin.', 'realite-plugin'),
	'section'     => 'header_logo_section',
	'choices'     => array(
		'save_as' => 'id',
	),
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'image',
	'settings'    => 'header_light_logo',
	'label'       => esc_html__('Light', 'realite-plugin'),
	'description' => esc_html__('Upload your light logo, will be used as white logo in light skin.', 'realite-plugin'),
	'section'     => 'header_logo_section',
	'choices'     => array(
		'save_as' => 'id',
	),
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'header_logo_width',
	'label'       => esc_html__('Width', 'realite-plugin'),
	'description' => __('Enter the number that will change the logo image width. <br /><small>Note: Enter only the number without {px}.</small>', 'realite-plugin'),
	'section'     => 'header_logo_section',
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'header_logo_height',
	'label'       => esc_html__('Height', 'realite-plugin'),
	'description' => __('Enter the number that will change the logo image height. <br /><small>Note: Enter only the number without {px}.', 'realite-plugin'),
	'section'     => 'header_logo_section',
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'     => 'text',
	'settings' => 'header_logo_text',
	'label'    => esc_html__('Text', 'realite-plugin'),
	'description'  => esc_html__('Enter the text that will appear as logo, incase you don\'t upload any image as logo.', 'realite-plugin'),
	'section'  => 'header_logo_section',
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'header_logo_text_size',
	'label'       => esc_html__('Text Size', 'realite-plugin'),
	'description' => __('Enter the number to change the logo text font size. <br /><small>Note: Enter only the number without {px}.</small.', 'realite-plugin'),
	'section'     => 'header_logo_section',
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));


// Search
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_search_visibility',
	'label'       => esc_html__('Visibility', 'realite-plugin'),
	'description' => esc_html__('Select the visibility of the search.', 'realite-plugin'),
	'section'     => 'header_search_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'header_search_mobile',
	'label'       => esc_html__('Mobile', 'realite-plugin'),
	'description' => esc_html__('Select the visibility of the search in mobile screens(991px and smaller).', 'realite-plugin'),
	'section'     => 'header_search_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'header_search_visibility',
			'operator' => '==',
			'value'    => '1'
		),
		array(
			'setting'  => 'header_type',
			'operator' => '!=',
			'value'    => '2'
		),
		array(
			'setting'  => 'header_visibility',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

// Shopping Cart
if (class_exists('WooCommerce')) {
	Kirki::add_field('grada_kirki', array(
		'type'        => 'select',
		'settings'    => 'shopping_cart_visibility',
		'label'       => esc_html__('Visibility', 'realite-plugin'),
		'description' => esc_html__('Select the visibility of the shopping cart.', 'realite-plugin'),
		'section'     => 'shopping_cart_section',
		'default'     => '1',
		'choices'     => array(
			'1' => esc_html__('Show', 'realite-plugin'),
			'2' => esc_html__('Hide', 'realite-plugin')
		),
		'active_callback' => array(
			array(
				'setting'  => 'header_type',
				'operator' => '!=',
				'value'    => '2'
			),
			array(
				'setting'  => 'header_visibility',
				'operator' => '!=',
				'value'    => '2'
			),
		)
	));
	Kirki::add_field('grada_kirki', array(
		'type'        => 'select',
		'settings'    => 'shopping_cart_mobile',
		'label'       => esc_html__('Mobile', 'realite-plugin'),
		'description' => esc_html__('Select the visibility of the shopping cart in mobile screens(991px and smaller).', 'realite-plugin'),
		'section'     => 'shopping_cart_section',
		'default'     => '2',
		'choices'     => array(
			'1' => esc_html__('Show', 'realite-plugin'),
			'2' => esc_html__('Hide', 'realite-plugin')
		),
		'active_callback' => array(
			array(
				'setting'  => 'shopping_cart_visibility',
				'operator' => '==',
				'value'    => '1'
			),
			array(
				'setting'  => 'header_type',
				'operator' => '!=',
				'value'    => '2'
			),
			array(
				'setting'  => 'header_visibility',
				'operator' => '!=',
				'value'    => '2'
			),
		)
	));
}