<?php
/**
 * Portfolio Options
 */

// Create Panel and Sections
Kirki::add_panel('portfolio_options', array(
	'title'       => esc_attr__('Portfolio', 'realite-plugin'),
	'priority'    => 4
));
Kirki::add_section('portfolio_functionality_options', array(
	'title'       => esc_attr__('Functionality', 'realite-plugin'),
	'panel'		  => 'portfolio_options',
	'priority'    => 1
));
Kirki::add_section('portfolio_item_options', array(
	'title'       => esc_attr__('Portfolio Item', 'realite-plugin'),
	'panel'		  => 'portfolio_options',
	'priority'    => 2
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'portfolio_prefix',
	'label'       => esc_html__('Prefix', 'realite-plugin'),
	'description' => __('Change the portfolio prefix before the post, e.g. <br /> https://gradastudio.com/<b>portfolio</b>/portfolio-1#.<br /> <small>Note: The default prefix is portfolio. Do not forget to click save changes on the the permalinks after.</small>', 'realite-plugin'),
	'section'     => 'portfolio_functionality_options'
));

/**
 * Portfolio Item Settings
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'portfolio_item_share',
	'label'       => esc_html__('Share', 'realite-plugin'),
	'description' => __('Select the visibility of share icons. <br /><small>Note: Make sure to install and activate the GradaStudio Share plugin.</small>', 'realite-plugin'),
	'section'     => 'portfolio_item_options',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_attr__('Show', 'realite-plugin'),
		'2' => esc_attr__('Hide', 'realite-plugin')
	),
));


// Navigation
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'portfolio_item_navigation_message',
	'section'     => 'portfolio_item_options',
	'default'     => '<h1>' . esc_html__('Navigation', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'portfolio_item_navigation_visibility',
	'label'       => esc_html__('Visibility', 'realite-plugin'),
	'description' => __('Show or hide the navigation on portfolio item.', 'realite-plugin'),
	'section'     => 'portfolio_item_options',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_attr__('Show', 'realite-plugin'),
		'2' => esc_attr__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'portfolio_item_navigation_category',
	'label'       => esc_html__('Category', 'realite-plugin'),
	'description' => __('Enable if you want the posts to be navigated only in the same category.', 'realite-plugin'),
	'section'     => 'portfolio_item_options',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_attr__('Enable', 'realite-plugin'),
		'2' => esc_attr__('Disable', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'portfolio_item_navigation_back_url',
	'label'       => esc_html__('Back URL', 'realite-plugin'),
	'description' => __('Add an url which will be displayed on the center and will send you to portfolio.', 'realite-plugin'),
	'section'     => 'portfolio_item_options',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_attr__('Show', 'realite-plugin'),
		'2' => esc_attr__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'portfolio_item_navigation_back_url_link',
	'label'       => esc_html__('Link', 'realite-plugin'),
	'description' => __('Change the link of the text.', 'realite-plugin'),
	'section'     => 'portfolio_item_options',
	'active_callback' => array(
		array(
			'setting'  => 'portfolio_item_navigation_back_url',
			'operator' => '==',
			'value'    => '1'
		),
	)
));

// Gallery
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'portfolio_item_gallery_message',
	'section'     => 'portfolio_item_options',
	'default'     => '<h1>' . esc_html__('Gallery', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'portfolio_item_gallery_columns',
	'label'       => esc_html__('Columns', 'realite-plugin'),
	'description' => __('Select the columns of gallery.', 'realite-plugin'),
	'section'     => 'portfolio_item_options',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_attr__('1 Column', 'realite-plugin'),
		'2' => esc_attr__('2 Columns', 'realite-plugin'),
		'3' => esc_attr__('3 Columns', 'realite-plugin'),
		'4' => esc_attr__('4 Columns', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'portfolio_item_gallery_animation',
	'label'       => esc_html__('Animation', 'realite-plugin'),
	'description' => __('Select initial loading animation for gallery.', 'realite-plugin'),
	'section'     => 'portfolio_item_options',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_attr__('None', 'realite-plugin'),
		'2' => esc_attr__('Fade In', 'realite-plugin'),
		'3' => esc_attr__('Fade In Up', 'realite-plugin'),
		'4' => esc_attr__('Fade In (with delay)', 'realite-plugin'),
		'5' => esc_attr__('Fade In Up (with delay)', 'realite-plugin')
	),
));