<?php
/**
 * Shop Options
 */

// Create Panel and Sections
Kirki::add_panel('shop_options', array(
	'title'       => esc_attr__('Shop', 'realite-plugin'),
	'priority'    => 6
));
Kirki::add_section('shop_functionality_section', array(
	'title'          => esc_attr__('Functionality', 'realite-plugin'),
	'priority'       => 1,
	'panel'			=> 'shop_options'
));
Kirki::add_section('shop_style_section', array(
	'title'          => esc_attr__('Style', 'realite-plugin'),
	'priority'       => 2,
	'panel'			=> 'shop_options'
));
Kirki::add_section('shop_thumbnail_section', array(
	'title'          => esc_attr__('Thumbnail', 'realite-plugin'),
	'priority'       => 3,
	'panel'			=> 'shop_options'
));
Kirki::add_section('shop_product_section', array(
	'title'          => esc_attr__('Product', 'realite-plugin'),
	'priority'       => 4,
	'panel'			=> 'shop_options'
));

/**
 * Functionality
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_type',
	'label'       => esc_html__('Type', 'realite-plugin'),
	'description' => __('Select the type of shop.', 'realite-plugin'),
	'section'     => 'shop_functionality_section',
	'default'     => 'classic-grid',
	'choices'     => array(
		'left-image' => esc_html__('Featured Image left', 'realite-plugin'),
		'classic-grid' => esc_html__('Grid Classic', 'realite-plugin'),
		'meta-overlay' => esc_html__('Meta Overlay', 'realite-plugin'),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_sidebar',
	'label'       => esc_html__('Sidebar', 'realite-plugin'),
	'description' => __('Select the placement of sidebar or hide it, default is right.', 'realite-plugin'),
	'section'     => 'shop_functionality_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_attr__('Left', 'realite-plugin'),
		'2' => esc_attr__('Right', 'realite-plugin'),
		'3' => esc_attr__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_result_count',
	'label'       => esc_html__('Result Count', 'realite-plugin'),
	'description' => __('Show or hide the result count.', 'realite-plugin'),
	'section'     => 'shop_functionality_section',
	'default'     => 'show',
	'choices'     => array(
		'show' => esc_attr__('Show', 'realite-plugin'),
		'hide' => esc_attr__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_catalog_ordering',
	'label'       => esc_html__('Catalog Ordering', 'realite-plugin'),
	'description' => __('Show or hide the catalog ordering.', 'realite-plugin'),
	'section'     => 'shop_functionality_section',
	'default'     => 'show',
	'choices'     => array(
		'show' => esc_attr__('Show', 'realite-plugin'),
		'hide' => esc_attr__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_catalog_ordering_default',
	'label'       => esc_html__('Default Order', 'realite-plugin'),
	'description' => __('Select which order you want to set default.', 'realite-plugin'),
	'section'     => 'shop_functionality_section',
	'default'     => 'menu_order',
	'choices'     => array(
		'menu_order' => esc_attr__('Default sorting', 'realite-plugin'),
		'popularity' => esc_attr__('Sort by popularity', 'realite-plugin'),
		'rating' => esc_attr__('Sort by average rating', 'realite-plugin'),
		'date' => esc_attr__('Sort by newness', 'realite-plugin'),
		'price' => esc_attr__('Sort by price: low to high', 'realite-plugin'),
		'price-desc' => esc_attr__('Sort by price: high to low', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'shop_catalog_ordering',
			'operator' => '==',
			'value'    => 'show'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'shop_ppp',
	'label'       => esc_attr__('Posts Per Page', 'realite-plugin'),
	'description' => __('Enter the number of products you want to display on the first page, a pagination will be created if there are more products than this number.', 'realite-plugin'),
	'section'     => 'shop_functionality_section'
));

/**
 * Style
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_columns',
	'label'       => esc_html__('Columns', 'realite-plugin'),
	'description' => __('Select the columns of Shop, default is two columns.', 'realite-plugin'),
	'section'     => 'shop_style_section',
	'default'     => '2-columns',
	'choices'     => array(
		'1-column' => esc_attr__('1 Column', 'realite-plugin'),
		'2-columns' => esc_attr__('2 Columns', 'realite-plugin'),
		'3-columns' => esc_attr__('3 Columns', 'realite-plugin'),
		'4-columns' => esc_attr__('4 Columns', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_animation',
	'label'       => esc_html__('Animation', 'realite-plugin'),
	'description' => __('Select initial loading animation for products.', 'realite-plugin'),
	'section'     => 'shop_style_section',
	'default'     => 'fade-in',
	'choices'     => array(
		'none' => esc_attr__('None', 'realite-plugin'),
		'fade-in' => esc_attr__('Fade In', 'realite-plugin'),
		'fade-in-up' => esc_attr__('Fade In Up', 'realite-plugin'),
		'fade-in-delay' => esc_attr__('Fade In (with delay)', 'realite-plugin'),
		'fade-in-up-delay' => esc_attr__('Fade In Up (with delay)', 'realite-plugin'),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_spacing',
	'label'       => esc_html__('Spacing', 'realite-plugin'),
	'description' => __('Add custom spacing between products.', 'realite-plugin'),
	'section'     => 'shop_style_section',
	'default'     => 'no',
	'choices'     => array(
		'yes' => esc_attr__('On', 'realite-plugin'),
		'no' => esc_attr__('Off', 'realite-plugin')
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'slider',
	'settings'    => 'shop_spacing_value',
	'label'       => __('Spacing Value', 'realite-plugin'),
	'description' => __('Move the slider to set the value of spacing. <br /> <small>Note: The value is represented in pixels.</small>', 'realite-plugin'),
	'section'     => 'shop_style_section',
	'default'     => 30,
	'choices'     => array(
		'min'  => '0',
		'max'  => '100',
		'step' => '1',
	),
	'active_callback' => array(
		array(
			'setting'  => 'shop_spacing',
			'operator' => '==',
			'value'    => 'yes'
		),
	)
));

/**
 * Thumbnail Resizer
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_thumbnail_resizer',
	'label'       => esc_html__('Thumbnail', 'realite-plugin'),
	'description' => __('Activate a thumbnail resizer, it will crop all the images to a given width & height. <br /><small>Note: Do not forget to regenerate thumbnails.</small>', 'realite-plugin'),
	'section'     => 'shop_thumbnail_section',
	'default'     => 'no',
	'choices'     => array(
		'yes' => esc_attr__('On', 'realite-plugin'),
		'no' => esc_attr__('Off', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'shop_thumbnail_sizes',
	'label'       => esc_html__('Thumbnail Size', 'realite-plugin'),
	'description' => __('Select the image size, you can add new thumbnail sizes in the general options.', 'realite-plugin'),
	'section'     => 'shop_thumbnail_section',
	'default'     => 'full',
	'choices'     => grada_thumbnail_sizes(),
	'active_callback' => array(
		array(
			'setting'  => 'shop_thumbnail_resizer',
			'operator' => '==',
			'value'    => 'yes'
		),
	)
));

/**
 * Product Settings
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_sidebar',
	'label'       => esc_html__('Sidebar', 'realite-plugin'),
	'description' => __('Select the placement of sidebar or hide it, default is hidden.', 'realite-plugin'),
	'section'     => 'shop_product_section',
	'default'     => '3',
	'choices'     => array(
		'1' => esc_attr__('Left', 'realite-plugin'),
		'2' => esc_attr__('Right', 'realite-plugin'),
		'3' => esc_attr__('Hide', 'realite-plugin')
	)
));
// Navigation
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'product_navigation_message',
	'section'     => 'shop_product_section',
	'default'     => '<h1>' . esc_html__('Navigation', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_navigation',
	'label'       => esc_html__('Navigation', 'realite-plugin'),
	'description' => __('Select the visibility of the navigation.', 'realite-plugin'),
	'section'     => 'shop_product_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_attr__('Show', 'realite-plugin'),
		'2' => esc_attr__('Hide', 'realite-plugin')
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_navigation_back_url',
	'label'       => esc_html__('Back URL', 'realite-plugin'),
	'description' => __('Add an url which will be displayed on the center and will send you to shop.', 'realite-plugin'),
	'section'     => 'product_options',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_attr__('Show', 'realite-plugin'),
		'2' => esc_attr__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'product_navigation_back_url_link',
	'label'       => esc_html__('Link', 'realite-plugin'),
	'description' => __('Change the link of the text, by default it will send you to the shop page.', 'realite-plugin'),
	'section'     => 'product_options',
	'active_callback' => array(
		array(
			'setting'  => 'product_navigation_back_url',
			'operator' => '==',
			'value'    => '1'
		),
	)
));

// Gallery
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_share',
	'label'       => esc_html__('Share', 'realite-plugin'),
	'description' => __('Select the visibility of share icons. <br /><small>Note: Make sure to install and activate the GradaStudio Share plugin.</small>', 'realite-plugin'),
	'section'     => 'shop_product_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_attr__('Show', 'realite-plugin'),
		'2' => esc_attr__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'product_gallery_message',
	'section'     => 'shop_product_section',
	'default'     => '<h1>' . esc_html__('Gallery', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_gallery_alignment',
	'label'       => esc_html__('Alignment', 'realite-plugin'),
	'description' => __('Select the alignment of the gallery, if left is selected the content will move right and vice versa.', 'realite-plugin'),
	'section'     => 'shop_product_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_attr__('Left', 'realite-plugin'),
		'2' => esc_attr__('Right', 'realite-plugin')
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_gallery_width',
	'label'       => esc_html__('Width', 'realite-plugin'),
	'description' => __('Select the width of the gallery.', 'realite-plugin'),
	'section'     => 'shop_product_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_attr__('One Half (1/2)', 'realite-plugin'),
		'2' => esc_attr__('Two Third Column (2/3)', 'realite-plugin'),
		'3' => esc_attr__('Three Fourth Column (3/4)', 'realite-plugin')
	)
));

// Related
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'product_gallery_related',
	'section'     => 'shop_product_section',
	'default'     => '<h1>' . esc_html__('Related', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_related',
	'label'       => esc_html__('Visibility', 'realite-plugin'),
	'description' => __('Select the visibility of the related products.', 'realite-plugin'),
	'section'     => 'shop_product_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_attr__('Show', 'realite-plugin'),
		'2' => esc_attr__('Hide', 'realite-plugin')
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_related_count',
	'label'       => esc_html__('Number', 'realite-plugin'),
	'description' => __('Select how many products you want to display in related section.', 'realite-plugin'),
	'section'     => 'shop_product_section',
	'default'     => '4',
	'choices'     => array(
		'1' => esc_attr__('1 Product', 'realite-plugin'),
		'2' => esc_attr__('2 Products', 'realite-plugin'),
		'3' => esc_attr__('3 Products', 'realite-plugin'),
		'4' => esc_attr__('4 Products', 'realite-plugin')
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_thumbnail_resizer',
	'label'       => esc_html__('Thumbnail', 'realite-plugin'),
	'description' => __('Activate a thumbnail resizer, it will crop all the related products images to a given width & height. <br /><small>Note: Do not forget to regenerate thumbnails.</small>', 'realite-plugin'),
	'section'     => 'shop_product_section',
	'default'     => 'no',
	'choices'     => array(
		'yes' => esc_attr__('On', 'realite-plugin'),
		'no' => esc_attr__('Off', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'product_thumbnail_sizes',
	'label'       => esc_html__('Thumbnail Size', 'realite-plugin'),
	'description' => __('Select the image size, you can add new thumbnail sizes in the general options.', 'realite-plugin'),
	'section'     => 'shop_product_section',
	'default'     => 'full',
	'choices'     => grada_thumbnail_sizes(),
	'active_callback' => array(
		array(
			'setting'  => 'product_thumbnail_resizer',
			'operator' => '==',
			'value'    => 'yes'
		),
	)
));
