<?php
/**
 * Style Options
 */

// Create Panel and Sections
Kirki::add_section('style_options', array(
	'title'          => esc_html__('Style', 'realite-plugin'),
	'priority'    => 8
));

// Settings
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'style_options_message',
	'section'     => 'style_options',
	'default'     => '<h1>' . esc_html__('General', 'realite-plugin') . '</h1><hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => 'style_bg_color',
	'label'       => esc_html__('Background Color', 'realite-plugin'),
	'description' => esc_html__('Change the background color of theme.', 'realite-plugin'),
	'section'     => 'style_options',
	'default'     => '#FFFFFF',
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => 'style_main_color',
	'label'       => esc_html__('Main Color', 'realite-plugin'),
	'description' => esc_html__('Change the color of all main elements.', 'realite-plugin'),
	'section'     => 'style_options',
	'default'     => '#ff7363',
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => 'style_headings_color',
	'label'       => esc_html__('Headings Color', 'realite-plugin'),
	'description' => esc_html__('Change the color of all headings.', 'realite-plugin'),
	'section'     => 'style_options',
	'default'     => '#232c37',
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => 'style_paragraphs_color',
	'label'       => esc_html__('Paragraphs Color', 'realite-plugin'),
	'description' => esc_html__('Change the color of all paragraphs.', 'realite-plugin'),
	'section'     => 'style_options',
	'default'     => '#8a8a8a',
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => 'style_border_color',
	'label'       => esc_html__('Border Color', 'realite-plugin'),
	'description' => esc_html__('Change the color of the thin borders.', 'realite-plugin'),
	'section'     => 'style_options',
	'default'     => '#e5e5e5',
));

Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => 'style_pattern_color',
	'label'       => esc_html__('Pattern Color', 'realite-plugin'),
	'description' => esc_html__('Change the color of the patterns.', 'realite-plugin'),
	'section'     => 'style_options',
	'default'     => '#f8f5f4',
));