<?php
/**
 * Utility Options
 */

// Create Panel and Sections
Kirki::add_panel('utility_options', array(
	'title'       => esc_html__('Utility', 'realite-plugin'),
	'priority'    => 7
));
Kirki::add_section('title_section', array(
	'title'          => esc_html__('Title', 'realite-plugin'),
	'panel'			=> 'utility_options'
));
Kirki::add_section('breadcrumbs_section', array(
	'title'          => esc_html__('Breadcrumbs', 'realite-plugin'),
	'panel'			=> 'utility_options'
));
Kirki::add_section('hero_section', array(
	'title'          => esc_html__('Hero', 'realite-plugin'),
	'panel'			=> 'utility_options'
));
Kirki::add_section('to_top_section', array(
	'title'          => esc_html__('To Top', 'realite-plugin'),
	'panel'			=> 'utility_options'
));
Kirki::add_section('search_section', array(
	'title'          => esc_html__('Search', 'realite-plugin'),
	'panel'			=> 'utility_options'
));
Kirki::add_section('404_section', array(
	'title'          => esc_html__('Error 404', 'realite-plugin'),
	'panel'			=> 'utility_options'
));
Kirki::add_section('google_maps_section', array(
	'title'          => esc_html__('Google Maps', 'realite-plugin'),
	'panel'			=> 'utility_options'
));

// Title Options
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'general_title_page',
	'label'       => esc_html__('Page Title', 'realite-plugin'),
	'description' => __('Show or hide the title on pages.', 'realite-plugin'),
	'section'     => 'title_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'general_title_post',
	'label'       => esc_html__('Post Title', 'realite-plugin'),
	'description' => __('Show or hide the title on posts.', 'realite-plugin'),
	'section'     => 'title_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'general_title_product',
	'label'       => esc_html__('Product Title', 'realite-plugin'),
	'description' => __('Show or hide the title on products.', 'realite-plugin'),
	'section'     => 'title_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'general_title_portfolio_item',
	'label'       => esc_html__('Portfolio Item Title', 'realite-plugin'),
	'description' => __('Show or hide the title on portfolio items.', 'realite-plugin'),
	'section'     => 'title_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));

// Breadcrumbs Options
Kirki::add_field('grada_kirki', array(
	'type'     => 'text',
	'settings' => 'breadcrumbs_separator',
	'label'    => __('Separator', 'realite-plugin'),
	'description'  => esc_html__('Enter the text that will appear as separator between each breadcrumb.', 'realite-plugin'),
	'section'  => 'breadcrumbs_section'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'breadcrumbs_page_visibility',
	'label'       => esc_html__('Page Visibility', 'realite-plugin'),
	'description' => __('Show or hide the breadcrumb in pages.', 'realite-plugin'),
	'section'     => 'breadcrumbs_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'breadcrumbs_post_visibility',
	'label'       => esc_html__('Post Visibility', 'realite-plugin'),
	'description' => __('Show or hide the breadcrumb in posts.', 'realite-plugin'),
	'section'     => 'breadcrumbs_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));
if (class_exists('WooCommerce')) {
	Kirki::add_field('grada_kirki', array(
		'type'        => 'select',
		'settings'    => 'breadcrumbs_product_visibility',
		'label'       => esc_html__('Product Visibility', 'realite-plugin'),
		'description' => __('Show or hide the breadcrumb in products.', 'realite-plugin'),
		'section'     => 'breadcrumbs_section',
		'default'     => '2',
		'choices'     => array(
			'1' => esc_html__('Show', 'realite-plugin'),
			'2' => esc_html__('Hide', 'realite-plugin')
		),
	));
}
if (class_exists('WooCommerce')) {
	Kirki::add_field('grada_kirki', array(
		'type'        => 'select',
		'settings'    => 'breadcrumbs_shop_visibility',
		'label'       => esc_html__('Shop Visibility', 'realite-plugin'),
		'description' => __('Show or hide the breadcrumb in shop.', 'realite-plugin'),
		'section'     => 'breadcrumbs_section',
		'default'     => '2',
		'choices'     => array(
			'1' => esc_html__('Show', 'realite-plugin'),
			'2' => esc_html__('Hide', 'realite-plugin')
		),
	));
}
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'breadcrumbs_portfolio_item_visibility',
	'label'       => esc_html__('Portfolio Item Visibility', 'realite-plugin'),
	'description' => __('Show or hide the breadcrumb in portfolio items.', 'realite-plugin'),
	'section'     => 'breadcrumbs_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'breadcrumbs_archives_visibility',
	'label'       => esc_html__('Archives Visibility', 'realite-plugin'),
	'description' => __('Show or hide the breadcrumb in archives(Categories, Tags, Custom Taxonomies).', 'realite-plugin'),
	'section'     => 'breadcrumbs_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));

// Hero Settings
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'hero_message',
	'section'     => 'hero_section',
	'default'     => '<h1>' . esc_html__('Settings', 'realite-plugin') . '</h1> <hr>'
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_visibility',
	'label'       => esc_html__('Visibility', 'realite-plugin'),
	'description' => __('Show or hide the hero, all posts and pages will have the option to inherit this value or set it individually.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_type',
	'label'       => esc_html__('Type', 'realite-plugin'),
	'description' => __('Select the type of hero. <br /><small>Note: Do not forget to add heroes in Elementor Templates.</small>', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Default', 'realite-plugin'),
		'2' => esc_html__('Template', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_template',
	'label'       => esc_html__('Template', 'realite-plugin'),
	'description' => __('Select the template.', 'realite-plugin'),
	'section'     => 'hero_section',
	'choices'     => grada_get_elementor_template('hero'),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '==',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'dimension',
	'settings'    => 'hero_height',
	'label'       => esc_html__('Height', 'realite-plugin'),
	'description' => esc_html__('Enter the height, do not forget to add the unit too, for example px/vh/rem/em/%.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '45vh',
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_container',
	'label'       => esc_html__('Container', 'realite-plugin'),
	'description' => __('Select if you want the hero to be boxed in 1140px width or not.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('On', 'realite-plugin'),
		'2' => esc_html__('Off', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_alignment',
	'label'       => esc_html__('Alignment', 'realite-plugin'),
	'description' => __('Select the text alignment of the hero.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Left', 'realite-plugin'),
		'2' => esc_html__('Center', 'realite-plugin'),
		'3' => esc_html__('Right', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

// Image
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'hero_message_image',
	'section'     => 'hero_section',
	'default'     => '<h1>' . esc_html__('Image', 'realite-plugin') . '</h1> <hr>',
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_image',
	'label'       => esc_html__('Image', 'realite-plugin'),
	'description' => __('Select the image you want to display as hero background image.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Use the post/page featured image', 'realite-plugin'),
		'2' => esc_html__('Custom Image', 'realite-plugin'),
		'3' => esc_html__('No Image', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'image',
	'settings'    => 'hero_custom_image',
	'label'       => esc_html__('Custom Image', 'realite-plugin'),
	'description' => esc_html__('Upload a custom image which will be displayed in all posts/page heroes, except those who do not inherit from the option.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '',
	'choices'     => array(
		'save_as' => 'id',
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_image',
			'operator' => '==',
			'value'    => '2'
		),
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		)
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_image_repeat',
	'label'       => esc_html__('Repeat', 'realite-plugin'),
	'description' => __('Select the image repeat settings.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('No Repeat', 'realite-plugin'),
		'2' => esc_html__('Repeat All', 'realite-plugin'),
		'3' => esc_html__('Repeat Horizontally', 'realite-plugin'),
		'4' => esc_html__('Repeat Vertically', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_image_attachment',
	'label'       => esc_html__('Attachment', 'realite-plugin'),
	'description' => __('Select the image attachment.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Scroll', 'realite-plugin'),
		'2' => esc_html__('Fixed', 'realite-plugin'),
		'3' => esc_html__('Local', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_image_position',
	'label'       => esc_html__('Position', 'realite-plugin'),
	'description' => __('Select the image position.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '5',
	'choices'     => array(
		'1' => esc_html__('Left Top', 'realite-plugin'),
		'2' => esc_html__('Left Center', 'realite-plugin'),
		'3' => esc_html__('Left Bottom', 'realite-plugin'),
		'4' => esc_html__('Center Top', 'realite-plugin'),
		'5' => esc_html__('Center Center', 'realite-plugin'),
		'6' => esc_html__('Center Bottom', 'realite-plugin'),
		'7' => esc_html__('Right Top', 'realite-plugin'),
		'8' => esc_html__('Right Center', 'realite-plugin'),
		'9' => esc_html__('Right Bottom', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_image_size',
	'label'       => esc_html__('Size', 'realite-plugin'),
	'description' => __('Select the image size.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Auto', 'realite-plugin'),
		'2' => esc_html__('Cover', 'realite-plugin'),
		'3' => esc_html__('Contain', 'realite-plugin'),
		'4' => esc_html__('Initial', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_image_overlay',
	'label'       => esc_html__('Overlay', 'realite-plugin'),
	'description' => __('Show an overlay for the background image.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'number',
	'settings'    => 'hero_image_overlay_opacity',
	'label'       => esc_html__('Overlay Opacity', 'realite-plugin'),
	'description' => __('Enter the number of overlay opacity, the number can be in range of 0 and 1.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => 0,
	'choices'     => array(
		'min'  => 0,
		'max'  => 1,
		'step' => 0.01
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_image_overlay',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => 'hero_image_overlay_color',
	'label'       => esc_html__('Overlay Color', 'realite-plugin'),
	'description' => __('Select the color of overlay.', 'realite-plugin'),
	'section'     => 'hero_section',
	'active_callback' => array(
		array(
			'setting'  => 'hero_image_overlay',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		)
	)
));

// Title
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'hero_message_title',
	'section'     => 'hero_section',
	'default'     => '<h1>' . esc_html__('Title', 'realite-plugin') . '</h1><hr>',
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_title',
	'label'       => esc_html__('Title', 'realite-plugin'),
	'description' => __('Select the title you want to display in the hero.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Use the post/page title', 'realite-plugin'),
		'2' => esc_html__('Custom Title', 'realite-plugin'),
		'3' => esc_html__('No Title', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'editor',
	'settings'    => 'hero_custom_title',
	'label'       => esc_html__('Editor', 'realite-plugin'),
	'description' => __('Enter the title, it accepts html tags too.', 'realite-plugin'),
	'section'     => 'hero_section',
	'active_callback' => array(
		array(
			'setting'  => 'hero_title',
			'operator' => '==',
			'value'    => '2',
		),
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		)
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_title_animation',
	'label'       => esc_html__('Animation', 'realite-plugin'),
	'description' => __('Select initial loading animation for the title.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('None', 'realite-plugin'),
		'2' => esc_html__('Fade In', 'realite-plugin'),
		'3' => esc_html__('Fade In Up', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => 'hero_title_color',
	'label'       => __('Color', 'realite-plugin'),
	'description' => __('Change the text color of title. <br /><small>Note: The default color is #232931.</small>', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '#232931',
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));

// Subtitle
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => 'hero_message_subtitle',
	'section'     => 'hero_section',
	'default'     => '<h1>' . esc_html__('Subtitle', 'realite-plugin') . '</h1> <hr>',
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_subtitle_animation',
	'label'       => esc_html__('Subtitle', 'realite-plugin'),
	'description' => __('Select if you want to inherit the subtitle or set it custom..', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Breadcrumb', 'realite-plugin'),
		'2' => esc_html__('Custom', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'editor',
	'settings'    => 'hero_subtitle',
	'label'       => esc_html__('Editor', 'realite-plugin'),
	'description' => __('Enter the subtitle, it accepts html tags too.', 'realite-plugin'),
	'section'     => 'hero_section',
	'active_callback' => array(
		array(
			'setting'  => 'hero_subtitle_animation',
			'operator' => '==',
			'value'    => '2',
		),
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		)
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'hero_subtitle_animation',
	'label'       => esc_html__('Animation', 'realite-plugin'),
	'description' => __('Select initial loading animation for the subtitle.', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('None', 'realite-plugin'),
		'2' => esc_html__('Fade In', 'realite-plugin'),
		'3' => esc_html__('Fade In Up', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => 'hero_subtitle_color',
	'label'       => __('Color', 'realite-plugin'),
	'description' => __('Change the text color of subtitle. <br /><small>Note: The default color is #858585.</small>', 'realite-plugin'),
	'section'     => 'hero_section',
	'default'     => '#858585',
	'active_callback' => array(
		array(
			'setting'  => 'hero_type',
			'operator' => '!=',
			'value'    => '2'
		),
	)
));


/**
 * To Top
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'to_top_visibility',
	'label'       => esc_html__('Visibility', 'realite-plugin'),
	'description' => __('Show or hide the to top button.', 'realite-plugin'),
	'section'     => 'to_top_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'to_top_skin',
	'label'       => esc_html__('Skin', 'realite-plugin'),
	'description' => __('Select the skin of the to top button.', 'realite-plugin'),
	'section'     => 'to_top_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Dark', 'realite-plugin'),
		'2' => esc_html__('Light', 'realite-plugin')
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'to_top_animation',
	'label'       => esc_html__('Animation', 'realite-plugin'),
	'description' => __('Select the animation of to the top button.', 'realite-plugin'),
	'section'     => 'to_top_section',
	'default'     => '1',
	'choices'     => array(
		'1' => esc_html__('Translate', 'realite-plugin'),
		'2' => esc_html__('Scale', 'realite-plugin')
	)
));

/**
 * Search
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'search_columns',
	'label'       => esc_html__('Columns', 'realite-plugin'),
	'description' => __('Select the columns of the search page.', 'realite-plugin'),
	'section'     => 'search_section',
	'default'     => '3',
	'choices'     => array(
		'1' => esc_html__('1 Column', 'realite-plugin'),
		'2' => esc_html__('2 Columns', 'realite-plugin'),
		'3' => esc_html__('3 Columns', 'realite-plugin'),
		'4' => esc_html__('4 Columns', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => 'search_sidebar',
	'label'       => esc_html__('Sidebar', 'realite-plugin'),
	'description' => __('Select the sidebar placement in the search page or hide it.', 'realite-plugin'),
	'section'     => 'search_section',
	'default'     => '3',
	'choices'     => array(
		'1' => esc_html__('Left', 'realite-plugin'),
		'2' => esc_html__('Right', 'realite-plugin'),
		'3' => esc_html__('Hide', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'multicheck',
	'settings'    => 'search_post_types',
	'label'       => esc_html__('Post Type', 'realite-plugin'),
	'description' => __('Select the included post types in the search page.', 'realite-plugin'),
	'section'     => 'search_section',
	'default'     => array('post', 'page', 'portfolio', 'product'),
	'choices'     => array(
		'post' => esc_html__('Post', 'realite-plugin'),
		'page' => esc_html__('Page', 'realite-plugin'),
		'portfolio' => esc_html__('Portfolio', 'realite-plugin'),
		'product' => esc_html__('Product', 'realite-plugin')
	),
));

/**
 * 404 Page
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => '404_type',
	'label'       => esc_html__('Type', 'realite-plugin'),
	'description' => __('Select the 404 type. <br /> <small>Note: Make sure to create templates with Elementor as section type.</small>', 'realite-plugin'),
	'section'     => '404_section',
	'default'     => 'default',
	'choices'     => array(
		'default' => esc_html__('Default', 'realite-plugin'),
		'template' => esc_html__('Template', 'realite-plugin')
	),
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => '404_template',
	'label'       => esc_html__('Template', 'realite-plugin'),
	'description' => __('Select the 404 template.', 'realite-plugin'),
	'section'     => '404_section',
	'choices'     => grada_get_elementor_template('page'),
	'active_callback' => array(
		array(
			'setting'  => '404_type',
			'operator' => '==',
			'value'    => 'template'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'     => 'text',
	'settings' => '404_title',
	'label'    => __('Title test', 'realite-plugin'),
	'description'  => __('Default: <small>404</small>', 'realite-plugin'),
	'section'  => '404_section',
	'active_callback' => array(
		array(
			'setting'  => '404_type',
			'operator' => '!=',
			'value'    => 'template'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'     => 'textarea',
	'settings' => '404_description',
	'label'    => __('Description', 'realite-plugin'),
	'description'  => __('Default: <small>The page you were looking for couldn\'t be found. The page could be removed or you misspelled the word while searching for it.</small>', 'realite-plugin'),
	'section'  => '404_section',
	'active_callback' => array(
		array(
			'setting'  => '404_type',
			'operator' => '!=',
			'value'    => 'template'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'     => 'text',
	'settings' => '404_button_url',
	'label'    => __('Button Url', 'realite-plugin'),
	'description'  => __('Default: <small>The home directory.</small>', 'realite-plugin'),
	'section'  => '404_section',
	'active_callback' => array(
		array(
			'setting'  => '404_type',
			'operator' => '!=',
			'value'    => 'template'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'     => 'text',
	'settings' => '404_button_text',
	'label'    => __('Button Text', 'realite-plugin'),
	'description'  => __('Default: <small>Back to Homepage</small>', 'realite-plugin'),
	'section'  => '404_section',
	'active_callback' => array(
		array(
			'setting'  => '404_type',
			'operator' => '!=',
			'value'    => 'template'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'custom',
	'settings'    => '404_section_message',
	'section'     => '404_section',
	'default'     => '<h1>' . esc_html__('Hero', 'realite-plugin') . '</h1> <hr>',
	'active_callback' => array(
		array(
			'setting'  => '404_type',
			'operator' => '!=',
			'value'    => 'template'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'image',
	'settings'    => '404_hero_image',
	'label'       => esc_html__('Image', 'realite-plugin'),
	'description' => __('Upload an image to the hero of the 404 page.', 'realite-plugin'),
	'section'     => '404_section',
	'choices'     => array(
		'save_as' => 'id'
	),
	'active_callback' => array(
		array(
			'setting'  => '404_type',
			'operator' => '!=',
			'value'    => 'template'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'select',
	'settings'    => '404_hero_overlay',
	'label'       => esc_html__('Overlay', 'realite-plugin'),
	'description' => __('Show an overlay for the background image.', 'realite-plugin'),
	'section'     => '404_section',
	'default'     => '2',
	'choices'     => array(
		'1' => esc_html__('Show', 'realite-plugin'),
		'2' => esc_html__('Hide', 'realite-plugin')
	),
	'active_callback' => array(
		array(
			'setting'  => '404_type',
			'operator' => '!=',
			'value'    => 'template'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'number',
	'settings'    => '404_hero_overlay_opacity',
	'label'       => esc_html__('Overlay Opacity', 'realite-plugin'),
	'description' => __('Enter the number of overlay opacity, the number can be in range of 0 and 1.', 'realite-plugin'),
	'section'     => '404_section',
	'default'     => 0,
	'choices'     => array(
		'min'  => 0,
		'max'  => 1,
		'step' => 0.01
	),
	'active_callback' => array(
		array(
			'setting'  => '404_hero_overlay',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => '404_type',
			'operator' => '!=',
			'value'    => 'template'
		),
	)
));
Kirki::add_field('grada_kirki', array(
	'type'        => 'color',
	'settings'    => '404_hero_overlay_color',
	'label'       => esc_html__('Overlay Color', 'realite-plugin'),
	'description' => __('Select the color of overlay.', 'realite-plugin'),
	'section'     => '404_section',
	'active_callback' => array(
		array(
			'setting'  => '404_hero_overlay',
			'operator' => '==',
			'value'    => '1',
		),
		array(
			'setting'  => '404_type',
			'operator' => '!=',
			'value'    => 'template'
		),
	)
));

/**
 * Google Maps
 */
Kirki::add_field('grada_kirki', array(
	'type'        => 'text',
	'settings'    => 'google_maps_api_key',
	'label'       => esc_html__('API Key', 'realite-plugin'),
	'description' => __('To use the Google Maps JavaScript API, you must register your app project on the <a href="https://developers.google.com/maps/documentation/javascript/get-api-key" target="_BLANK">Google API Console</a> and get a Google API key which you can add to your app.', 'realite-plugin'),
	'section'     => 'google_maps_section'
));